Index: /trunk/psLib/test/dataManip/Makefile
===================================================================
--- /trunk/psLib/test/dataManip/Makefile	(revision 654)
+++ /trunk/psLib/test/dataManip/Makefile	(revision 654)
@@ -0,0 +1,37 @@
+################################################################################
+##
+##  Makefile:   test/sysUtils
+##
+##  $Revision: 1.1 $  $Name: not supported by cvs2svn $
+##  $Date: 2004-05-13 02:02:24 $
+##
+##  Copyright 2004 Maui High Performance Computing Center, University of Hawaii
+##
+###############################################################################
+
+include ../../src/Makefile.Globals
+
+PSLIB_INCL_DIR = ../../include
+
+PSLIB_LIB_DIR = ../../lib
+
+TARGET = tst_psStats00
+
+all: $(TARGET)
+
+tst_psStats00:		tst_psStats00.o
+
+clean:
+	@echo "    Deleting executable and binary files for 'test/sysUtils'"
+	$(RM) $(TARGET) *.o *.lint
+
+%.o : %.c
+	$(CC) $(CFLAGS) $(CPPFLAGS) -I.. -I$(PSLIB_INCL_DIR) -c -o $@ $<
+
+%   : %.o
+	$(CC) $(LDFLAGS) -L.. -L$(PSLIB_LIB_DIR) -lpslib -lpstest -lpsDataManip -o $@ $<
+
+%.lint: %.c
+	splint +posixlib -exportlocal -realcompare $(INCLUDE_GLOBAL) $? > $@; cat $@
+
+
Index: /trunk/psLib/test/dataManip/tst_psStats00.c
===================================================================
--- /trunk/psLib/test/dataManip/tst_psStats00.c	(revision 654)
+++ /trunk/psLib/test/dataManip/tst_psStats00.c	(revision 654)
@@ -0,0 +1,53 @@
+/*****************************************************************************
+    This code tests whether a hash table be allocated successfully.
+ *****************************************************************************/
+#include <stdio.h>
+#include "psLib.h"
+#include "psTest.h"
+#define N 10
+
+int main()
+{
+    psStats *myStats    = NULL;
+    psStats *myStats2   = NULL;
+    int testStatus      = true;
+    int i               = 0;
+    psType dummyFloatType;
+    psVector *myVector  = NULL;
+    float mean          = 0.0;
+    float realMean      = 0.0;
+
+    printPositiveTestHeader(stdout,
+                            "psStats functions",
+                            "hmmm");
+
+    myStats = psStatsAlloc(PS_STAT_SAMPLE_MEAN);
+    dummyFloatType.type = PS_TYPE_FLOAT;
+    dummyFloatType.dimen = PS_DIMEN_VECTOR;
+    myVector = psVectorAlloc(dummyFloatType, N);
+
+    mean = 0.0;
+    realMean = 0.0;
+    for (i=0;i<N;i++) {
+        myVector->vec.f[i] = (float) i;
+        realMean+= myVector->vec.f[i];
+    }
+    realMean /= (float) N;
+
+    myStats2 = psArrayStats(myVector, NULL, 0, myStats);
+    mean = myStats2->sampleMean;
+    printf("HMMMM mean is %f\n", mean);
+
+    if (mean == realMean) {
+        testStatus = true;
+    } else {
+        testStatus = false;
+    }
+
+    printFooter(stdout,
+                "psHash functions",
+                "psHashAlloc()",
+                testStatus);
+
+    return (!testStatus);
+}
